package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.Date;

public class AppUseVersionOutPutDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -3580683930835653964L;
	
	private String id;
	private String useCode;//应用编码
	private String useName;//应用名称
	private Integer versionCode;//版本号
	private String usePlatform;//应用平台 1安卓2ios
	private String versionName;//版本名称
	private String customer;//所属客户
	private String strMessage;//更新内容
	private String status;//状态1可用2不可用
	private String updateURL;//更新链接
	private String createTime;//发布时间
	private String updateFlag;//是否强制更新
	private String remark;//备注
	private String latestVersion;//ios的最新版本号
	private String minimumVersion;//支持最低版本(默认为该版本)
	
	
	public AppUseVersionOutPutDto(String id, String useCode, String useName,
			String usePlatform, String versionName,
			String customer, String strMessage, String status,
			String updateURL, String updateFlag, String remark,
			String minimumVersion) {
		super();
		this.id = id;
		this.useCode = useCode == null ? "" : useCode;
		this.useName = useName == null ? "" : useName;
		this.usePlatform = usePlatform == null ? "" : usePlatform;
		this.versionName = versionName == null ? "" : versionName;
		this.customer = customer == null ? "" : customer;
		this.strMessage = strMessage == null ? "" : strMessage;
		this.status = status == null ? "" : status;
		this.updateURL = updateURL == null ? "" : updateURL;
		this.updateFlag = updateFlag == null ? "" : updateFlag;
		this.remark = remark == null ? "" : remark;
		this.minimumVersion = minimumVersion == null ? "" : minimumVersion;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUseCode() {
		return useCode;
	}
	public void setUseCode(String useCode) {
		this.useCode = useCode;
	}
	public String getUseName() {
		return useName;
	}
	public void setUseName(String useName) {
		this.useName = useName;
	}
	public Integer getVersionCode() {
		return versionCode;
	}
	public void setVersionCode(Integer versionCode) {
		this.versionCode = versionCode;
	}
	public String getUsePlatform() {
		return usePlatform;
	}
	public void setUsePlatform(String usePlatform) {
		this.usePlatform = usePlatform;
	}
	public String getVersionName() {
		return versionName;
	}
	public void setVersionName(String versionName) {
		this.versionName = versionName;
	}
	public String getCustomer() {
		return customer;
	}
	public void setCustomer(String customer) {
		this.customer = customer;
	}
	public String getStrMessage() {
		return strMessage;
	}
	public void setStrMessage(String strMessage) {
		this.strMessage = strMessage;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getUpdateURL() {
		return updateURL;
	}
	public void setUpdateURL(String updateURL) {
		this.updateURL = updateURL;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getUpdateFlag() {
		return updateFlag;
	}
	public void setUpdateFlag(String updateFlag) {
		this.updateFlag = updateFlag;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getMinimumVersion() {
		return minimumVersion;
	}
	public void setMinimumVersion(String minimumVersion) {
		this.minimumVersion = minimumVersion;
	}
	public String getLatestVersion() {
		return latestVersion;
	}
	public void setLatestVersion(String latestVersion) {
		this.latestVersion = latestVersion;
	}
	

}
